## org.eclipse.datatools.connectivity.drivers
Class DriverMigratorBase

    java.lang.Object
      org.eclipse.datatools.connectivity.drivers.DriverMigratorBase

All Implemented Interfaces:
  org.eclipse.core.runtime.IExecutableExtension, IDriverMigrator

    public class DriverMigratorBase

extends java.lang.Object
implements IDriverMigrator, org.eclipse.core.runtime.IExecutableExtension

Base implementation for `IDriverMigrator`. Extenders can override `performMigration(DriverInstance)` to specialize property migration for their particular driver definitions. `applyPropertyMigrations(DriverInstance)` is supplied to allow extenders to take advantage of the declarative property migration functionality available through propertyMigration elements. This API is provisional.

Author:
  brianf Created on October 10, 2007

Constructor Summary
`DriverMigratorBase()` Default constructor

Method Summary
`java.lang.String` `getNewDriverTemplateID()`
`boolean` `performMigration(DriverInstance driver)` Default implementation.
`void` `setInitializationData(org.eclipse.core.runtime.IConfigurationElement config, java.lang.String propertyName, java.lang.Object data)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DriverMigratorBase

    public DriverMigratorBase()

  Default constructor

Method Detail

### performMigration

    public boolean performMigration(DriverInstance driver)

  Default implementation. Simply invokes `applyPropertyMigrations(DriverInstance)`

  Specified by:
    `performMigration` in interface `IDriverMigrator`

### getNewDriverTemplateID

    public final java.lang.String getNewDriverTemplateID()

  Specified by:
    `getNewDriverTemplateID` in interface `IDriverMigrator`
  Returns:
    the new driver template ID as specified in the migration element; note, may be the same as the original driver template id

### setInitializationData

    public final void setInitializationData(org.eclipse.core.runtime.IConfigurationElement config,
                                            java.lang.String propertyName,
                                            java.lang.Object data)
                                     throws org.eclipse.core.runtime.CoreException

  Specified by:
    `setInitializationData` in interface `org.eclipse.core.runtime.IExecutableExtension`
  Throws:
    `org.eclipse.core.runtime.CoreException`